Subject: Re: cygintl-8.dll was not found
From: wefwef wefwef <[email-masked]>
To: [email-masked]
Date: Mon, 5 Apr 2010 15:43:42 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Apr 5, 2010 at 3:14 PM, Dave Korn
<[email-masked]> wrote:
> On 05/04/2010 10:22, wefwef wefwef wrote:
>> This is what I did:
>> renamed my current cygwin install directory to fool setup.exe into
>> thinking it was a new installation
>
>  If you deliberately try and fool a piece of software, you generally get to
> keep the pieces when it breaks!
>

No, I was advised to do this to get round a nasty bug in the installer.

>  By the way, you omitted any details of what you did or didn't do about your
> existing package download directory when you described the procedure.  You
> only said about renaming your cygwin install dir; what happened to the local
> package dir?

I deleted it.

>
>> After the missing libintl8 error, I went through exactly the same
>> process again, and this time it downloaded only 26.6 MB (27,915,820
>> bytes).
>
>  Yeah, that's what it should have been the first time.  Looks like you messed up.
>

I suppose in your world, it's impossible that the installer has bugs,
or usability problems as it quite clearly does.

>> The cygwin installer appears to have some serious bugs
>
>  You're not analyzing this logically.  The bug, such as it is, is in your
> procedure for "fooling" setup.exe; apparently it doesn't work, or you did it
> wrong.   I just tried your procedure: setup.exe correctly downloaded 27MB of
> files including the bash and libintl8 tarballs on the first machine, I zipped
> it across to a second, ran it there, saw a proper package list, not "no files
> to install", and got a fully working cygwin installation.

So based on the fact that it worked ok  for you, then the installer
has no problems at all, and any problems anyone has with it is the
fault of the user. Wow, that's a very simplistic view of software you
have.

>
>  But then, I didn't repeatedly mess up like you did.  I reckon the first
> time, when you had 80 MB, you forgot to choose a new package directory and got

No, I didn't forget anything of the kind.

> all kinds of left over and mixed up bits and pieces, and the second time, when
> you saw "no packages", you chose the wrong directory for the local package
> dir, you probably went a level too deep or too high.  If you'd given the full

No, I chose the correct directory - so that would make it a bug then
wouldn't it ?

> description like I wanted, I might have been able to say for sure, but you
> forgot to mention the critical steps in the description of your procedure on
> the first machine, and by the time you came to describing the install

Dave, I gave you the full description, why I bothered is another matter.

> procedure on the second machine you appear to have given up on detail
> altogether and just skimmed through a brief outline of what you did, so I
> can't diagnose it for certain.

Dave, I don't need your kind of help thanks.

cheers
Chris
>
>    cheers,
>      DaveK
>
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple